## gtk2hs 0.9.10.5

=== demo/actionMenu/Makefile ===

PROG  = actionmenu 
SOURCES = ActionMenu.hs
PACKAGES = gtk

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/buttonbox/Makefile ===

PROG  = buttonbox
SOURCES = ButtonBox.hs
PACKAGES = gtk

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/cairo/Makefile ===

PROGS  = drawing drawing2 starandring text clock graph
SOURCES = Drawing.hs Drawing2.hs StarAndRing.hs Text.hs Clock.hs Graph.hs
PACKAGES = gtk cairo

all : $(PROGS)

drawing : Drawing.hs
	$(HC_RULE)

drawing2 : Drawing2.hs
	$(HC_RULE)

starandring : StarAndRing.hs
	$(HC_RULE)

text : Text.hs
	$(HC_RULE)

clock : Clock.hs
	$(HC_RULE)

graph : Graph.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)
	rm -f *.png

HC=ghc

=== demo/calc/Makefile ===

PROG  = calc
SOURCES = Calc.hs CalcModel.hs
PACKAGES = glade

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/carsim/Makefile ===

PROGS  = carsim
SOURCES = CarSim.hs
PACKAGES = gtk

all : $(PROGS)

carsim : CarSim.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

=== demo/concurrent/Makefile ===

PROG  = progress
SOURCES = Progress.hs
PACKAGES = gtk

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/fastdraw/Makefile ===

PROG  = fastDraw
SOURCES = FastDraw.hs
PACKAGES = gtk

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/filechooser/Makefile ===

PROG  = filechooser
SOURCES = FileChooserDemo.hs
PACKAGES = glade

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/gconf/Makefile ===

PROG  = gconfdemo
SOURCES = GConfDemo.hs
PACKAGES = gconf gtk

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ -fglasgow-exts -fallow-overlapping-instances $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/glade/Makefile ===

PROG  = gladetest
SOURCES = GladeTest.hs
PACKAGES = glade

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/graphic/Makefile ===

PROG  = drawing
SOURCES = Drawing.hs
PACKAGES = gtk

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/hello/Makefile ===

PROG  = helloworld
SOURCES = World.hs
PACKAGES = gtk

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

## gtk2hs 0.9.12.1

=== demo/gconf/Makefile ===

PROG  = gconfdemo
SOURCES = GConfDemo.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ -fglasgow-exts -fallow-overlapping-instances $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/mozembed/Makefile ===

PROG  = testembedmoz
SOURCES = TestEmbedMoz.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/sourceview/Makefile ===

PROG  = sourceview
SOURCES = SourceViewTest.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/treeList/Makefile ===

PROGS  = listdemo treedemo listtest treetest dirlist
SOURCES = ListDemo.hs TreeDemo.hs ListTest.hs TreeTest.hs DirList.hs

all : $(PROGS)

listdemo : ListDemo.hs
	$(HC_RULE)

treedemo : TreeDemo.hs
	$(HC_RULE)

listtest : ListTest.hs
	$(HC_RULE)

treetest : TreeTest.hs
	$(HC_RULE)

dirlist : DirList.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

## gtk2hs 0.9.13

=== demo/treeList/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 
-PROGS  = listdemo treedemo listtest treetest dirlist
-SOURCES = ListDemo.hs TreeDemo.hs ListTest.hs TreeTest.hs DirList.hs
+PROGS  = listdemo treedemo listtest treetest dirlist treesort completion
+SOURCES = ListDemo.hs TreeDemo.hs ListTest.hs TreeTest.hs DirList.hs \
+	TreeSort.hs Completion.hs
 
 all : $(PROGS)
 
@@ -19,6 +20,12 @@
 dirlist : DirList.hs
 	$(HC_RULE)
 
+treesort : TreeSort.hs
+	$(HC_RULE)
+
+completion : Completion.hs
+	$(HC_RULE)
+
 HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)
 
 clean:

## gtk2hs 0.10.1

=== demo/cairo/Makefile ===

PROGS  = drawing drawing2 starandring text clock graph
SOURCES = Drawing.hs Drawing2.hs StarAndRing.hs Text.hs Clock.hs Graph.hs

all : $(PROGS)

drawing : Drawing.hs
	$(HC_RULE)

drawing2 : Drawing2.hs
	$(HC_RULE)

starandring : StarAndRing.hs
	$(HC_RULE)

text : Text.hs
	$(HC_RULE)

clock : Clock.hs
	$(HC_RULE)

graph : Graph.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

=== demo/gnomevfs/Makefile ===

PROGS  = test-sync test-dir test-xfer test-drive-volume test-volume-monitor
SOURCES = TestSync.hs TestDir.hs TestXfer.hs TestDriveVolume.hs TestVolumeMonitor.hs

all: $(PROGS)

test-sync : TestSync.hs
	$(HC_RULE)
test-dir : TestDir.hs
	$(HC_RULE)
test-xfer : TestXfer.hs
	$(HC_RULE)
test-drive-volume : TestDriveVolume.hs
	$(HC_RULE)
test-volume-monitor : TestVolumeMonitor.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

=== demo/soe/Makefile ===

PROGS  = bouncingball snowflake demo1 demo2

SOURCES = BouncingBall.hs Demo1.hs Demo2.hs Snowflake.hs
PACKAGES = gtk soegtk

all : $(PROGS)

bouncingball : BouncingBall.hs
	$(HC_RULE)

snowflake : Snowflake.hs
	$(HC_RULE)

demo1 : Demo1.hs
	$(HC_RULE)

demo2 : Demo2.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS) $(HCEXTRAFLAGS)

HCEXTRAFLAGS = $(if $(HCNEEDSPACKAGE), $(addprefix -package ,$(PACKAGES)))

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

=== demo/treeList/Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 
-PROGS  = listdemo treedemo listtest treetest dirlist treesort completion
+PROGS  = listdemo treedemo listtest treetest dirlist treesort completion \
+	 listdnd
+
 SOURCES = ListDemo.hs TreeDemo.hs ListTest.hs TreeTest.hs DirList.hs \
-	TreeSort.hs Completion.hs
+	TreeSort.hs Completion.hs ListDND.hs
 
 all : $(PROGS)
 
@@ -26,6 +28,9 @@
 completion : Completion.hs
 	$(HC_RULE)
 
+listdnd : ListDND.hs
+	$(HC_RULE)
+
 HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)
 
 clean:

=== debian/changelog ===
gtk2hs (0.10.1-4) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Add lpia to supported architectures - noop on Debian but
    will allow gtk2hs to get into sync with Ubuntu.

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * Update Uploader e-mail.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * Use 3.0 (quilt) source format.
  * Include patch to make it build with ghc6-6.12.1.
  * debian/control: Bump Build-Depends: version of haskell-devscripts
    and remove versioned dependency on ghc6 and libghc6-mtl-*.
  * debian/rules: Use --disable-split-objs in all arches, since it's
    needed with ghc 6.12.
  * Include patch to avoid DoRec notation, which cause build failure in
    ghc 6.12.
  * debian/control: Use Architecture: any, since #565610 is closed.
  * Remove mk-haskell-deps, which was replaced by dh_haskell_shlibdeps.
  * debian/control: Add ${misc:Depends} to Depends:.
  * debian/control: Add ${haskell:Suggests} to Suggests:.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Fri, 12 Feb 2010 17:48:24 -0200

gtk2hs (0.10.1-3) unstable; urgency=low

  * debian/control: Specify supported architectures in gio and
    gtksourceview2. (Closes: #540879)

 -- Marco Túlio Gontijo e Silva <marcot@riseup.net>  Sun, 18 Oct 2009 16:41:22 -0200

gtk2hs (0.10.1-2) unstable; urgency=low

  * debian/rules: Add missing files to clean.
  * debian/control: Fix "FTBFS with default automake" by using
    Build-Depends: automake1.10.  (Closes: #542121)
  * debian/control: Use Debian Haskell Group as Maintainer.
  * Update Uploader e-mail.
  * debian/control: Update Vcs-Darcs to Debian Haskell Group darcs
    repository.
  * debian/control: Split lists in more than one line.
  * debian/control: Use Standards-Version: 3.8.3.
  * Create debian/README.source.
  * debian/watch: Correct format.

 -- Marco Túlio Gontijo e Silva <marcot@riseup.net>  Sun, 30 Aug 2009 13:01:28 -0300

gtk2hs (0.10.1-1) unstable; urgency=low

  * Removes restriction of reponse values.  Closes: #522481.
  * New upstream version.
  * Use maintainer scripts similar to the scripts from
    haskell-devscripts.
  * Use set -e instead of #!/bin/sh -e in maintainer scripts.
  * Use correct DEB_HADDOCK_DIR.
  * Use dh_haskell_shlibdeps.
  * debian/rules:
    - Use stamp for .PHONY targets.
    - Use variable instead of target for pkgmeta.
    - Use := only when it makes sense.
    - Support for parallel in DEB_BUILD_OPTIONS, conforming to Debian
      Policy 4.9.1.
    - Configure ghc flags in DEB_BUILD_OPTIONS noopt.
    - Don't use unexisting parameter to configure --with-c2hs=no.
  * debian/control:
    - Include correct dependencies for libghc6-gio-dev and
      libghc6-gtksourceview2-dev.
    - Correct wrong Suggests: field from libghc6-gio-dev and
      libghc6-gtksourceview2-dev, from libghc6-gtk2hs-doc to gtk2hs-doc.
    - Recommend ghc6-doc, and libghc6-mtl-doc, and suggest -dev packages.
    - Update very outdated description for gtk2hs-doc.
    - Use new Standards-Version: 3.8.1.
    - Use Section: haskell.
    - Include DM-Upload-Allowed: yes.
    - Update versioned dependencies.
  * debian/copyright:
    - Change packaging license.
    - Refer to (L)GPL-2 instead of (L)GPL.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Mon, 04 May 2009 10:53:23 -0300

gtk2hs (0.10.0-2) unstable; urgency=low

  * Rebuilt with ghc6 with arch-independent .haddock and .hi files
  * Bumped ghc6, haddock, mtl dependencies accordingly

 -- Joachim Breitner <nomeata@debian.org>  Sun, 01 Mar 2009 14:30:38 +0100

gtk2hs (0.10.0-1) unstable; urgency=low

  * New upstream version.
  * New package: libghc6-gio-dev.
  * Update package libghc6-sourceview-dev to libghc6-gtksourceview2-dev.
  * debian/control:
    - Remove << dependencies.
    - Package libghc6-gnomevfs-dev is deprecated.
    - Package libghc6-sourceview-dev is deprecated.
  * debian/rules: Organize order of --enable.
  * debian/postinst.in: Use update instead of register.  Thanks to
    Clifford Beshers <clifford.beshers@gmail.com>.
  * debian/prerm.in: Exit with 0 if it could not unregister.
  * debian/gtk2hs-doc.install: Remove unneeded file.
  * debian/mk-haskell-deps: Change the way the parameter is passed to
    ghc-pkg from -r to register and -u to unregister.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Thu, 19 Feb 2009 10:58:20 -0300

gtk2hs (0.9.13-5) unstable; urgency=low

  * Only use --disable-split-objs in amd64 and i386.  Thanks to Iván Pérez
    Domínguez <ivanperezdominguez@gmail.com>.  (Closes: 482503)
  * Update architecture list.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Thu, 15 Dec 2008 19:14:20 -0200

gtk2hs (0.9.13-4) unstable; urgency=low

  * Created libghc6-svgcairo-dev package.  Thanks to Eleftherios Kritikos
    <el01049@gmail.com>.
  * Changed maintainer e-mail address.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Tue, 18 Nov 2008 20:00:47 -0200

gtk2hs (0.9.13-3) unstable; urgency=low

  * debian/postinst, debian/prerm:
    - Use ghc-pkg6 instead of ghc-pkg.  Thanks to
      Stefan Potyra <sistpoty@ubuntu.com>.  (Closes: #501052)
    - Try to determine old upstream version. (Closes: #484928)
  * Use closer version to haskell-devscripts of dh_haskell_depends.
  * debian/control:
    - Adds Vcs-Darcs field.  Thanks to KiBi.
    - Removes Build-Depends on haskell-devscripts, and added on dctrl-tools.
  * debian/dh_haskell_depends: new parameter -P, asked for inclusion in
    haskell-devscripts in bug #502099.
  * debian/watch: Using sf.net directly.

 -- Marco Túlio Gontijo e Silva <marcot@riseup.net>  Fri, 03 Oct 2008 13:57:15 -0300

gtk2hs (0.9.13-2) unstable; urgency=low



=== debian/control ===
Source: gtk2hs
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
  , Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 5)
  , autoconf
  , automake1.10
  , autotools-dev
  , haskell-devscripts (>= 0.7.2)
  , ghc6
  , ghc6-doc
  , libghc6-mtl-dev
  , libghc6-mtl-doc
  , libgconf2-dev
  , libgnomevfs2-dev
  , libgstreamer-plugins-base0.10-dev
  , librsvg2-dev
  , libglade2-dev
  , libgtkglext1-dev
  , libgtksourceview2.0-dev
  , dctrl-tools
Standards-Version: 3.8.4
Homepage: http://haskell.org/gtk2hs/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/gtk2hs
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/gtk2hs
DM-Upload-Allowed: yes

Package: libghc6-glib-dev
Architecture: any
Depends: libglib2.0-dev
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GLib bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GLib, the low-level core library that
 forms the basis of GTK+ and GNOME.

Package: libghc6-cairo-dev
Architecture: any
Depends: libcairo2-dev
  , libghc6-glib-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- Cairo bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for the Cairo vector graphics library.

Package: libghc6-gconf-dev
Architecture: any
Depends: libgconf2-dev
  , libghc6-glib-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GConf bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GConf, GNOME's system for storing
 application preferences.

Package: libghc6-gio-dev
Architecture: any
Depends: libglib2.0-dev
  , libghc6-glib-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GIO bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GIO, a easy-to-use VFS API that sits in the
 right level in the library stack.

Package: libghc6-gnomevfs-dev
Architecture: any
Depends: libgnomevfs2-dev
  , libghc6-glib-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GNOME VFS bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GNOME Virtual File System, GNOME's file
 system application library.
 .
 This package is deprecated.  You should use libghc6-gio-dev instead.

Package: libghc6-gstreamer-dev
Architecture: any
Depends: libgstreamer-plugins-base0.10-dev
  , libghc6-glib-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GStreamer bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GStreamer, a library for constructing of
 graphs of media-handling components.

Package: libghc6-gtk-dev
Architecture: any
Depends: libgtk2.0-dev
  , libghc6-glib-dev (= ${binary:Version})
  , libghc6-cairo-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GTK+, a multi-platform toolkit for
 creating graphical user interfaces.

Package: libghc6-svgcairo-dev
Architecture: any
Depends: librsvg2-dev
  , libghc6-glib-dev (= ${binary:Version})
  , libghc6-cairo-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for libsvg-cairo a library used to render SVG
 with cairo.

Package: libghc6-glade-dev
Architecture: any
Depends: libglade2-dev
  , libghc6-gtk-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- libglade bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for libglade, a library which builds user
 interfaces at runtime from XML descriptions produced by Glade.

Package: libghc6-gtkglext-dev
Architecture: any
Depends: libgtkglext1-dev
  , libghc6-gtk-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- gtkglext bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for the Gtk OpenGL (Open Graphics Library)
 extension.

Package: libghc6-gtksourceview2-dev
Architecture: any
Depends: libgtksourceview2.0-dev
  , libghc6-gtk-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GtkSourceView2 bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GtkSourceView, a widget implementing
 syntax highlighting and other features typical of a source editor.

Package: libghc6-soegtk-dev
Architecture: any
Depends: libghc6-cairo-dev (= ${binary:Version})
  , libghc6-gtk-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- soegtk bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides the SOE (School of Expression) implementation based on
 Gtk and Cairo or Gdk.

Package: gtk2hs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: doc-base
  , ghc6-doc
  , libghc6-mtl-doc
Suggests: libghc6-glib-dev (= ${binary:Version})
  , libghc6-cairo-dev (= ${binary:Version})
  , libghc6-gconf-dev (= ${binary:Version})
  , libghc6-gio-dev (= ${binary:Version})
  , libghc6-gnomevfs-dev (= ${binary:Version})
  , libghc6-gstreamer-dev (= ${binary:Version})
  , libghc6-gtk-dev (= ${binary:Version})
  , libghc6-svgcairo-dev (= ${binary:Version})
  , libghc6-glade-dev (= ${binary:Version})
  , libghc6-gtkglext-dev (= ${binary:Version})
  , libghc6-gtksourceview2-dev (= ${binary:Version})
  , libghc6-soegtk-dev (= ${binary:Version})
Description: A GUI library for Haskell (Gtk2Hs) -- documentation and examples
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package contains a number of examples along with haddock-generated HTML
 API documentation for libghc6-glib-dev, libghc6-cairo-dev, libghc6-gconf-dev,
 libghc6-gio-dev, libghc6-gnomevfs, libghc6-gstreamer-dev, libghc6-gtk-dev,
 libghc6-svgcairo-dev, libghc6-glade-dev, libghc6-gtkglext-dev,
 libghc6-gtksourceview2-dev, libghc6-soegtk-dev.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Be specific about the version of autotools we use
export AUTOMAKE = automake-1.10
export ACLOCAL = aclocal-1.10

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
configure_flags := --build $(DEB_BUILD_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	configure_flags += --host $(DEB_HOST_GNU_TYPE)
endif
configure_flags += --enable-packager-mode --prefix=/usr

# Which bits of Gtk2Hs do we want?
configure_flags += --enable-cairo
configure_flags += --enable-gconf
configure_flags += --enable-gio
configure_flags += --enable-gnomevfs
configure_flags += --enable-gstreamer
configure_flags += --enable-gtk
configure_flags += --enable-svg
configure_flags += --enable-libglade
configure_flags += --enable-opengl
configure_flags += --enable-gtksourceview2
#configure_flags += --enable-mozilla   # not compatible with new xulrunner-dev yet
configure_flags += --enable-docs

# To build with ghc 6.12, --disable-split-objs is needed in all arches.
# http://haskell.org/gtk2hs/archives/2010/01/18/compiling-with-ghc-612/
# This can be fixed by changing the place where gtk2hs searches for the split
# objs, as described in
# http://www.mail-archive.com/gtk2hs-devel@lists.sourceforge.net/msg00511.html
configure_flags += --disable-split-objs

# from hlibrary.mk
GHC6_VERSION = $(shell ghc --numeric-version)
DEB_HADDOCK_DIR ?= /usr/share/ghc6-doc/ghc-$(GHC6_VERSION)/haddock/

MAKEFLAGS = "HADDOCK_FLAGS='--lib=${DEB_HADDOCK_DIR}'"

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS \
          = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

# -g removed to build in IA64
CFLAGS = -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	configure_flags += --with-hcflags="-O"
else
	CFLAGS += -O2
	configure_flags += --with-hcflags="-O2"
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

PKGS \
  = glib \
  cairo \
  gconf \
  gio \
  gnomevfs \
  gstreamer \
  gtk \
  svgcairo \
  glade \
  gtkglext \
  gtksourceview2 \
  soegtk
VERSION := $(shell sed -ne '/([0-9.]\+-.*)/ { s/^.*(\([0-9.]\+\)-.*).*$$/\1/p; q }' < debian/changelog)

# configure --libdir: where the libs are temporarily installed (under
# debian/tmp) before moving them to the correct package build hierarchy.
# We need to set this explicitly for path mangling purposes.
TMP_LIBDIR = /usr/lib

# Helper macros
DEB = libghc6-$(1)-dev
PKGLIB_DIR = usr/lib/haskell-packages/ghc6/lib/$(1)-$(VERSION)
PKGLIB_BUILD = debian/$(call DEB,$(1))/$(call PKGLIB_DIR,$(1))
SHORT_HDEP = $(call PKGLIB_BUILD,$(1))/$(1).package.conf
HDEP = $(1):$(call SHORT_HDEP,$(1))

config.status: configure.ac
	dh_testdir
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	autoreconf
	./configure $(configure_flags) --libdir=$(TMP_LIBDIR)

.PHONY: build
build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) $(MAKEFLAGS)
	touch $@

.PHONY: install
install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k --exclude=build-stamp
	$(MAKE) $(MAKEFLAGS) install DESTDIR=$(CURDIR)/debian/tmp
	rm debian/tmp/usr/share/doc/gtk2hs/html/gtk2hs.haddock
	touch $@

pkgmeta \
  = pkgmeta-glib-stamp \
  pkgmeta-postinst-stamp \
  pkgmeta-prerm-stamp \
  debian/gtk2hs-doc.install

pkgmeta-%-stamp: debian/%.in
	for pkg in $(PKGS) ; do \
		sed -e "s#@PKGLIB_DIR@#$(call PKGLIB_DIR,$$pkg)#g; \
			s#@PKG@#$$pkg#g; \
			s#@VERSION@#$(VERSION)#g; \
			s#@TMP_LIBDIR@#$(TMP_LIBDIR)#g" \
			< $^ > debian/$(call DEB,$$pkg).$* ; \
	done
	touch $@

pkgmeta-glib-stamp: pkgmeta-install-stamp
	echo "debian/tmp$(TMP_LIBDIR)/gtk2hs/include $(call PKGLIB_DIR,glib)" \
	  >> debian/$(call DEB,glib).install
	touch $@

debian/gtk2hs-doc.install: debian/gtk2hs-doc.install.in
	sed -e "s#@DEB_HADDOCK_DIR@#$(DEB_HADDOCK_DIR)#g" < $^ > $@

.PHONY: clean clean-real
clean: clean-real
clean-real:
	dh_testdir
	dh_testroot
	[ ! -e Makefile ] || $(MAKE) $(MAKEFLAGS) clean distclean
	dh_clean aclocal.m4 Makefile.in configure config.guess config.sub \
	  config.log *-stamp debian/*-dev.install debian/*.postinst \
	  debian/*.prerm debian/dh_haskell_shlibdeps

# Build architecture-independent files here.
.PHONY: binary-indep
binary-indep: binary-indep-stamp
binary-indep-stamp: install-stamp $(pkgmeta)
	dh_testdir -i
	dh_testroot -i
	dh_clean -k --exclude=build-stamp --exclude=install-stamp --exclude=debian/tmp
	dh_installdirs -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i
	touch $@

# Build architecture-dependent files here.
.PHONY: binary-arch
binary-arch: binary-arch-stamp
binary-arch-stamp: install-stamp $(pkgmeta)
	dh_testdir -a
	dh_testroot -a
	dh_clean -k --exclude=build-stamp --exclude=install-stamp --exclude=debian/tmp
	dh_installdirs -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	# move everything into place
	dh_install -a
	# mangle paths in $$pkg.package.conf
	for pkg in $(PKGS) ; do \
		sed --in-place -e \
			"s#$(TMP_LIBDIR)/gtk2hs/imports/$$pkg#/$(call PKGLIB_DIR,$$pkg)/imports#g; \
			 s#$(TMP_LIBDIR)/gtk2hs#/$(call PKGLIB_DIR,$$pkg)#g;" \
			$(call PKGLIB_BUILD,$$pkg)/$$pkg.package.conf ; \
	done
	# Correct gio include dir to use glibs
	sed --in-place -e \
		"s#$(call PKGLIB_DIR,gio)/include#$(call PKGLIB_DIR,glib)#g;" \
		$(call PKGLIB_BUILD,gio)/gio.package.conf
	dh_haskell_shlibdeps $(foreach pkg,$(PKGS),$(call SHORT_HDEP,$(pkg)))
	for pkg in $(PKGS) ; do \
		dh_haskell_depends \
			-p$(call DEB,$$pkg) \
			$(call SHORT_HDEP,$$pkg) ; \
	done
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a
	touch $@

.PHONY: binary
binary: binary-stamp
binary-stamp: binary-indep-stamp binary-arch-stamp
	touch $@

=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/gtk2hs/gtk2hs-(.+)\.tar\.gz
